Index: pkg/dev_compiler/tool/format.sh |
diff --git a/pkg/dev_compiler/tool/format.sh b/pkg/dev_compiler/tool/format.sh |
index b4cfc5531c24cd68631114d25b03b47a0f839810..01f7e3bd087405afa1e2d617815f83cfb040fc1f 100755 |
--- a/pkg/dev_compiler/tool/format.sh |
+++ b/pkg/dev_compiler/tool/format.sh |
@@ -13,4 +13,5 @@ cd $( dirname "${BASH_SOURCE[0]}" )/.. |
(files=`git ls-files 'bin/*.dart' 'lib/*.dart' test/*.dart test/checker/*.dart \ |
tool/*.dart | grep -v lib/src/js_ast/`; git status -s $files | grep -q . \ |
&& echo "Did not run the formatter, please commit edited files first." \ |
- || (echo "Running dart formatter" ; pub run dart_style:format -w $files)) |
+ || (echo "Running dart formatter" ; \ |
+ dart ../../third_party/pkg_tested/dart_style/bin/format.dart -w $files)) |